Public Class ActualizadorEmpresaListar
    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    Public Function LeerEmpresa() As DataTable

        Dim resultado As New DataTable()

        Try
            Dim query = $" 
SELECT 
    numeroLegal
FROM Empresas  
ORDER BY numeroLegal"

            resultado = conexion.ObtenerDataTable(query, New List(Of SqlClient.SqlParameter))
        Catch ex As Exception
        End Try

        If IsNothing(resultado) Then resultado = New DataTable()

        Return resultado
    End Function
End Class